%% Helper function to compute reaction time + signal power, and store them in the appropriate places

% start_time_idxs       = [start_time_idxs; stim_idx];
            
rxn_time                         = (response_idx - stim_idx) / (sfrq/1000);
rx_time                          = [rx_time; rxn_time];
        
signalstart_idx                  = stim_idx - Settings.TimeBeforeStimOn * (sfrq/1000) + 1;
signalend_idx                    = stim_idx + Settings.TimeAfterStimOn * (sfrq/1000);

sig_vals                         = single(resample(double(Data(signalstart_idx:signalend_idx, :)), dsfreq, sfrq));
sig_pwr                          = single(resample(abs(hilbert(double(Data(signalstart_idx:signalend_idx, :)))), dsfreq, sfrq));
alpha_vals                       = single(resample(double(AlphaData(signalstart_idx:signalend_idx, :)), dsfreq, sfrq));
alpha_pwr                        = abs(hilbert(alpha_vals));
gamma_vals                       = single(resample(double(GammaData(signalstart_idx:signalend_idx, :)), dsfreq, sfrq));
gamma_pwr                        = abs(hilbert(gamma_vals));

if Settings.KernelSmoothing
   
    sig_pwr                      = filtfilt(gaussFilter,1,double(sig_pwr));
    sig_pwr                      = single(sig_pwr);
    
end

alphadat                         = cat(3, alphadat, alpha_vals);
alphapwrdat                      = cat(3, alphapwrdat, alpha_pwr);
sigdat                           = cat(3, sigdat, sig_vals);
sigpwrdat                        = cat(3, sigpwrdat, sig_pwr);
gammadat                         = cat(3, gammadat, gamma_vals);
gammapwrdat                      = cat(3, gammapwrdat, gamma_pwr);
