% goals:
% 1- make an output called list_file that contains all the files that match with the input wildcard both inside the given directory and also inside its subfolders


function list_files = dir_recursive(directory,wildcard) 

% list_files looks for all the files that match with wildcard and put their attributes in list_files strcutre                                                     
                                                      
list_files        = dir([directory,'/',wildcard]);     % list of all the attributes of those files inside the directory that matches with wildcard. e.g. directory/*.m returns all m files and so on.
list_directories  = dir(directory);                    % list_directories is a structure that contain different fields including names of whatever exist in the directory.


if length(list_files) < 1 
    list_files = [];
end

for idx_file = 1:length(list_files)                                                % list_files is a structure with at least two fields: filepath and dir;  list_files.filepath gives the 
    list_files(idx_file).filepath = [directory,'/',list_files(idx_file).name];      % full name and directory of each file such as : directory/hasan1.m
    list_files(idx_file).dir      = directory;                                      % list_file.dir contains only the directory of each file.
end

for idx_file = 1:length(list_directories)
   
    if (list_directories(idx_file).isdir && ~strcmp(list_directories(idx_file).name,'.') && ~strcmp(list_directories(idx_file).name,'..'))
        list_files = [list_files ; dir_recursive([directory,'/',list_directories(idx_file).name],wildcard)];
    end
end
% when we type dir(directory), matlab returns 1- the list of existing files
% in that directory 2- list of folders in that directory 3- dot , dot dot
% tha last for loops says for all the entities of list_directory which is
% bascially all the 3 categories that I just mentioned, only go to the
% folders and search for the files matched with wildcard and then
% concatenate them to the list of list_file